%global debug_package %{nil}

Name:           choose
Version:        1.3.6
Release:        1%{?dist}
Summary:        Human-friendly and fast alternative to awk and cut

License:        GPL-3.0-or-later
URL:            https://github.com/theryangeary/choose
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cargo
BuildRequires:  rust

%description
This is choose, a human-friendly and fast alternative to awk and cut.

Features

- terse field selection syntax similar to Python's list slices
- negative indexing from end of line
- optional start/end index
- zero-indexed
- reverse ranges
- slightly faster than cut for sufficiently long inputs, much faster than awk
- regular expression field separators using Rust's regex syntax


%prep
%autosetup -p1


%install
cargo install --root=%{buildroot}%{_prefix} --path=.
rm -f   %{buildroot}%{_prefix}/.crates.toml \
        %{buildroot}%{_prefix}/.crates2.json
strip %{buildroot}%{_bindir}/*


%files
%license LICENSE
%doc readme.md
%{_bindir}/*


%changelog
* Wed Oct 02 2024 Artem Polishchuk <ego.cordatus@gmail.com> - 1.3.6-1
- chore: Update to latest release

* Sat Apr 04 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 1.0.0-1
- Update to 1.0.0

* Sat Apr 04 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.1.1-1
- Initial package
